using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Nano_System
{
    public partial class frmRepAghlamCatalogui : Form
    {
        public frmRepAghlamCatalogui()
        {
            InitializeComponent();
        }

        private void frmRepAghlamCatalogui_Load(object sender, EventArgs e)
        {
            LSC_NanoProjDataContext db = new LSC_NanoProjDataContext();
            var Query = from Row in db.xtblAghlamCataloguis
                        select new
                        {
                            Row.GoodsID,
                            Row.Title,
                            Row.PublisherName,
                            Row.PurchasePrice,
                            Row.Subject
                        };

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;

            xtblAghlamCataloguiBindingSource.DataSource = Query;
            reportViewer1.RefreshReport(); 
        }
    }
}
